Index: /data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4573)
+++ /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4574)
@@ -27,4 +27,33 @@
         </NPC>
 
+        <NPC>
+          <name>bomberOne</name>
+          <model>models/spaceships/human_spaceship_bomber.obj,1.2</model>
+          <abs-coor>-480, 20, -70 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+        </NPC>
+
+        <NPC>
+          <name>bomberTwo</name>
+          <model>models/spaceships/human_spaceship_bomber.obj,1,2</model>
+          <abs-coor>-490, -10, -60 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+        </NPC>
+
+        <NPC>
+          <name>fighterOne</name>
+          <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
+          <abs-coor>-430, 15, -70 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+        </NPC>
+
+        <NPC>
+          <name>fighterTwo</name>
+          <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
+          <abs-coor>-430, -10, -60 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+        </NPC>
+
+
         <Planet>
 	    <name>Earth</name>
@@ -37,6 +66,6 @@
          <name>Moon</name>
          <texture>textures/planets/pluto.png</texture>
-         <size>35</size>
-         <abs-coor> -500, 0 , 200</abs-coor>
+         <size>25</size>
+         <abs-coor> 100, 0 , -225</abs-coor>
          <abs-dir>3.1412, 0,1,0</abs-dir>
         </Planet>
@@ -86,9 +115,11 @@
     <Camera>
      <name> CameraOne </name>
-     <abs-coor>0,0,-200</abs-coor>
+     <abs-coor>125,0,-245</abs-coor>
      <Track>
        <mode>1</mode>
        <speed>0.1</speed>
-       <addPoint>0,0,-200</addPoint>
+       <addPoint>125,0,-245</addPoint>
+       <addPoint>125,0,-250</addPoint>
+       <addPoint>0,0,-250</addPoint>
        <addPoint>0,0,-150</addPoint>
        <addPoint>0,0,-100</addPoint>
Index: /data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- /data/trunk/scripts/cutscene/cutscene.lua	(revision 4573)
+++ /data/trunk/scripts/cutscene/cutscene.lua	(revision 4574)
@@ -9,5 +9,5 @@
 triggerOne:setScript("cutscene.lua")
 triggerOne:setFunction("switchCamTargetToEarth")
-triggerOne:setAbsCoor(0 , 0 , -50)
+triggerOne:setAbsCoor(0 , 0 , 0)
 triggerOne:setTarget("CameraOne")
 triggerOne:setRadius(10)
@@ -37,4 +37,8 @@
 thisscript:addObject("CameraMan", "cameraManager")
 thisscript:addObject("NPC", "shutleOne")
+thisscript:addObject("NPC", "fighterOne")
+thisscript:addObject("NPC", "fighterTwo")
+thisscript:addObject("NPC", "bomberOne")
+thisscript:addObject("NPC", "bomberTwo")
 thisscript:addObjectAsName("GameWorld", "Cut Scene", "gameWorld")
 
@@ -46,4 +50,19 @@
 bInit = 0
 bInit2 = 0
+fighterSpeed = 10
+bomberSpeed = 10
+
+-- Since the spaceships go along the x direction we only neet to get these once:
+fighterOneY = fighterOne:getAbsCoorY()
+fighterOneZ = fighterOne:getAbsCoorZ()
+
+fighterTwoY = fighterTwo:getAbsCoorY()
+fighterTwoZ = fighterTwo:getAbsCoorZ()
+  
+bomberOneY = bomberOne:getAbsCoorY()
+bomberOneZ = bomberOne:getAbsCoorZ()
+
+bomberTwoY = bomberTwo:getAbsCoorY()
+bomberTwoZ = bomberTwo:getAbsCoorZ()
 
 
@@ -53,10 +72,34 @@
 
  function shutle:tick(timestep)
+
  if cameraManager:getCurrCameraCoorZ() > 0 then
   coorX = shutleOne:getAbsCoorX()
   coorY = shutleOne:getAbsCoorY()
   coorZ = shutleOne:getAbsCoorZ()
-  shutleOne:setAbsCoor(coorX-.06,coorY,coorZ)
+  shutleOne:setAbsCoor(coorX-6.5*timestep,coorY,coorZ)
  end
+ end
+
+ --}
+
+
+-- chaseScene
+chaseScene = { }
+--{
+
+ function chaseScene:tick(timestep)
+
+
+  fighterOneX = fighterOne:getAbsCoorX()
+  fighterTwoX = fighterTwo:getAbsCoorX()
+  bomberOneX  = bomberOne:getAbsCoorX()
+  bomberTwoX  = bomberTwo:getAbsCoorX()
+  
+  fighterOne:setAbsCoor(fighterOneX + fighterSpeed*timestep,fighterOneY,fighterOneZ)
+  fighterTwo:setAbsCoor(fighterTwoX + fighterSpeed*timestep,fighterTwoY,fighterTwoZ)
+  bomberOne:setAbsCoor(bomberOneX + bomberSpeed*timestep,bomberOneY,bomberOneZ)
+  bomberTwo:setAbsCoor(bomberTwoX + bomberSpeed*timestep,bomberTwoY,bomberTwoZ)
+  
+ 
  end
 
@@ -91,4 +134,5 @@
 
 shutle:tick(timestep)
+chaseScene:tick(timestep)
 
 if bInit == 0 then
@@ -105,6 +149,6 @@
 if not cameraSwitched then
 cameraManager:setCam("CameraOne")
---cameraManager:atachCurrCameraToWorldEntity("NPC", "shutleOne")
-cameraManager:changeCurrTarget("Planet", "Moon")
+--cameraManager:atachCurrCameraToWorldEntity("NPC", "fighterOne")
+cameraManager:changeCurrTarget("Building", "zhara")
 cameraSwitched = true
 end
